<?php


add_action( 'admin_head', 'index_add_mce_button' );
add_action( 'admin_print_footer_scripts', 'index_add_quicktags' );


// Hooks your functions into the correct filters
function index_add_mce_button() {
	// ユーザーの権限をチェック
	if ( !current_user_can( 'edit_posts' ) && !current_user_can( 'edit_pages' ) ) {
		return;
	}

}


/**
 * テキストモードのエディタにクイックタグを追加する
 */
function index_add_quicktags() {
	$indexQuicktagsL10n = [
		'youtube' => [
			'display' => 'Youtube動画',
			'tag' => '<div class="qt_youtube">Youtubeの埋め込みタグをここに貼り付けて下さい。</div>'
		],
		'relatedcardlink' => [
			'display' => '関連記事カードリンク',
			'tag' => '[cardlink url="表示したい投稿のURL"]'
		],
		'2column' => [
			'display' => '2カラム',
			'tag' => '<div class="qt_layout_row"><div class="qt_layout_column qt_layout_2column">左側の列に表示するテキストおよびイメージタグ</div><div class="qt_layout_column qt_layout_2column">右側の列に表示するテキストおよびイメージタグ</div></div>'
		],
		'3column' => [
			'display' => '3カラム',
			'tag' => '<div class="qt_layout_row"><div class="qt_layout_column qt_layout_3column">左側の列に表示するテキストおよびイメージタグ</div><div class="qt_layout_column qt_layout_3column">中央の列に表示するテキストおよびイメージタグ</div><div class="qt_layout_column qt_layout_3column">右側の列に表示するテキストおよびイメージタグ</div></div>'
		],
		'heading3' => [
			'display' => 'h3見出し',
			'tag' => '<h3>見出し3</h3>'
		],
		'heading4' => [
			'display' => 'H4見出し',
			'tag' => '<h4>見出し4</h4>'
		],
		'heading5' => [
			'display' => 'h5見出し',
			'tag' => '<h5>見出し5</h5>'
		],
		'box' => [
			'display' => '囲み枠',
			'tag' => '<p class="qt_box">囲み枠</p>'
		],
		'flat_button' => [
			'display' => 'フラットボタン',
			'tag' => '<a href="#" class="qt_button">フラットボタン</a>'
		],
		'flat_button_l' => [
			'display' => 'フラットボタン-L',
			'tag' => '<a href="#" class="qt_button size_l">フラットボタン サイズL</a>'
		],
		'flat_button_s' => [
			'display' => 'フラットボタン-S',
			'tag' => '<a href="#" class="qt_button size_s">フラットボタン サイズS</a>'
		],

		'button_rounded' => [
			'display' => '角丸ボタン',
			'tag' => '<a href="#" class="qt_button rounded">角丸ボタン</a>'
		],
		'button_rounded_l' => [
			'display' => '角丸ボタン-L',
			'tag' => '<a href="#" class="qt_button rounded size_l">角丸ボタン サイズL</a>'
		],
		'button_rounded_s' => [
			'display' => '角丸ボタン-S',
			'tag' => '<a href="#" class="qt_button rounded sizz_s">角丸ボタン サイズS</a>'
		],

	];
?>
<script type="text/javascript">
// テキストエディタにショートコードのボタンを追加
if(window.addEventListener){
    window.addEventListener('load', function(){
<?php

	if ( wp_script_is( 'quicktags' ) ) {
		foreach ( $indexQuicktagsL10n as $key => $value ) {
			if ( is_numeric( $key ) || empty( $value['display'] ) ) continue;
			if ( empty( $value['tag'] ) && empty( $value['tagStart'] ) ) continue;

			if ( isset( $value['tag'] ) || ! isset( $value['tagStart'] ) ) {
				$value['tagStart'] = $value['tag'] . "\n\n";
			}
			if ( ! isset( $value['tagEnd'] ) ) {
				$value['tagEnd'] = '';
			}

			$key = json_encode( $key );
			$display = json_encode( $value['display'] );
			$tagStart = json_encode( $value['tagStart'] );
			$tagEnd = json_encode( $value['tagEnd'] );
			echo "QTags.addButton($key, $display, $tagStart, $tagEnd);\n";
		}
	}
?>
    });
}
</script>
<?php
}
